Get a vault
Retrieves a vault created by the project, including its current metrics such as APY and TVL.
Authorizations
A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.
Path Parameters
The ID of the vault to retrieve.
The globally unique ID of the vault, which is a UUID prefixed with the string vault_.
^vault_[a-f0-9-]{36}$"vault_019f5f10-096a-7a23-86df-f479650d813f"
Response
Successfully retrieved the vault.
A vault created on top of a catalog vault.
The globally unique ID of the vault, which is a UUID prefixed with the string vault_.
^vault_[a-f0-9-]{36}$"vault_019f5f10-096a-7a23-86df-f479650d813f"
The 0x-prefixed onchain address of the vault. The address is deterministic and known at creation; the vault deploys at this address once the deployment user operation is included onchain.
^0x[a-fA-F0-9]{40}$"0x15966F1582CAEFB56CDB4Fba1dC622E41F2Ad33D"
The globally unique ID of the catalog vault, which is a UUID prefixed with the string cv_.
^cv_[a-f0-9-]{36}$"cv_019ee022-3586-7473-8354-b2c32c18221a"
Your performance fee, in basis points. CDP charges an additional fee equal to currently 10% (1000 bps) of your fee. The fee applies to base yield only and does not apply to incentive rewards. metrics.apyBps includes those rewards.
0 <= x <= 50002000
The 0x-prefixed address that receives the vault's performance fees.
^0x[a-fA-F0-9]{40}$"0x742d35Cc6634C0532925a3b844Bc454e4438f44e"
The network on which the lend resource (catalog vault or vault) is deployed.
base "base"
The lifecycle status of the vault. A vault is pending from creation until its deployment user operation succeeds onchain, then active. If the deployment user operation fails onchain, then the status is failed.
pending, active, failed "pending"
The time the vault was created, in RFC 3339 format.
"2026-09-15T15:39:37Z"
The symbol of the vault's underlying asset.
1 - 42"usdc"
The vault's current metrics. Only present once at least one metrics snapshot has been observed for the vault.